%define anolis_release 2
%global _moduledir %{_libdir}/security
%global _secconfdir %{_sysconfdir}/security

Summary: A library for password generation and password quality checking
Name: libpwquality
Version: 1.4.5
Release: %{anolis_release}%{?dist}
License: BSD-3-Clause OR GPL-2.0-or-later
URL: https://github.com/libpwquality/libpwquality/
Source0: https://github.com/libpwquality/libpwquality/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2

Patch0001: Use-setuptools-instead-of-distutils.patch

Recommends: cracklib-dicts >= 2.8
Requires: pam make
BuildRequires: gcc
BuildRequires: cracklib-devel
BuildRequires: gettext
BuildRequires: pam-devel
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires:  python3-rpm-macros

%description
This is a library for password quality checks and generation
of random passwords that pass the checks.
This library uses the cracklib and cracklib dictionaries
to perform some of the checks.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Support for development of applications using the libpwquality library
Requires: libpwquality = %{version}-%{release}
Requires: pkgconfig

%description devel
Files needed for development of applications using the libpwquality
library.
See the pwquality.h header file for the API.

%package -n python3-pwquality
Summary: Python bindings for the libpwquality library
Requires: libpwquality = %{version}-%{release}

%description -n python3-pwquality
This is pwquality Python module that provides Python bindings
for the libpwquality library. These bindings can be used
for easy password quality checking and generation of random
pronounceable passwords from Python applications.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
	--with-securedir=%{_moduledir} \
	--with-pythonsitedir=%{python3_sitearch} \
	--with-python-binary=%{__python3} \
	--disable-static

%make_build

%install
%make_install

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_moduledir}/*.la
mkdir $RPM_BUILD_ROOT%{_secconfdir}/pwquality.conf.d

%find_lang libpwquality

%generate_compatibility_deps

%check
# Nothing yet

%ldconfig_scriptlets

%files -f libpwquality.lang
%dir %{abidir}
%license COPYING
%{_bindir}/pwmake
%{_bindir}/pwscore
%dir %{_moduledir}
%{_moduledir}/pam_pwquality.so
%{_libdir}/libpwquality.so.*
%dir %{_secconfdir}
%config(noreplace) %{_secconfdir}/pwquality.conf
%dir %{_secconfdir}/pwquality.conf.d
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{abidir}/libpwquality.dump
%{abidir}/pam_pwquality.dump
%{abidir}/pwquality.cpython-%{python3_version_nodots}-%{_arch}-linux-gnu.dump

%files doc
%doc README NEWS AUTHORS

%files devel
%{_includedir}/pwquality.h
%{_libdir}/libpwquality.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*


%files -n python3-pwquality
%{python3_sitearch}/*.so
%{python3_sitearch}/*.egg-info

%changelog
* Tue Mar 12 2024 Bo Ren <rb01097748@alibaba-inc.com> - 1.4.5-2
- Rebuild with python3.11

* Mon Nov 27 2023 happy_orange <songnannan@linux.alibaba.com> - 1.4.5-1
- update to 1.4.5

* Thu Nov 16 2023 Wenlong Zhang <zhangwenlong@loongson.cn> - 1.4.4-5
- fix build error for libpwquality

* Wed Nov 02 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.4.4-4
- optimise spec file

* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.4.4-3
- add doc package

* Fri Jun 10 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.4.4-2
- Don't BuildRequires python-setuptools, use Python-bundled distutils
- fix build failed with python-setuptools-60*

* Wed Mar 09 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 1.4.4-1
- Translation updates
- Init for Anolis OS 23
